summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile6
-rwxr-xr-xfutility/setup_futility_symlinks.sh (renamed from futility/tests/setup_futility_symlinks.sh)10
2 files changed, 8 insertions, 8 deletions
diff --git a/Makefile b/Makefile
index 883ac308..fff514d7 100644
--- a/Makefile
+++ b/Makefile
@@ -657,10 +657,11 @@ ${FUTIL_BIN}: ${FUTIL_LDS} ${FUTIL_OBJS}
${Q}${LD} -o $@ ${CFLAGS} $^ ${LDFLAGS} ${LDLIBS}
.PHONY: futil_install
-futil_install: ${FUTIL_BIN}
+futil_install: ${FUTIL_BIN} cgpt_install utils_install
@printf " INSTALL futility\n"
${Q}mkdir -p ${F_DESTDIR}
- ${Q}${INSTALL} -t ${F_DESTDIR} $^
+ ${Q}${INSTALL} -t ${F_DESTDIR} ${FUTIL_BIN}
+ futility/setup_futility_symlinks.sh ${F_DESTDIR}
# ----------------------------------------------------------------------------
@@ -955,7 +956,6 @@ runmisctests: test_setup
.PHONY: runfutiltests
runfutiltests: DESTDIR := ${TEST_INSTALL_DIR}
runfutiltests: test_setup install
- futility/tests/setup_futility_symlinks.sh ${DESTDIR}
futility/tests/run_futility_tests.sh ${DESTDIR}
# Run long tests, including all permutations of encryption keys (instead of
diff --git a/futility/tests/setup_futility_symlinks.sh b/futility/setup_futility_symlinks.sh
index dda4adc8..d7db9a7e 100755
--- a/futility/tests/setup_futility_symlinks.sh
+++ b/futility/setup_futility_symlinks.sh
@@ -3,17 +3,17 @@
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
-# Load common constants and variables.
-. "$(dirname "$0")/common.sh"
+# Fail on any unexpected nonsense.
+set -e -u
-# Where are the programs I'm testing against?
-[ -z "${1:-}" ] && error "Directory argument is required"
+# The one required argument is the directory where futility lives.
BINDIR="$1"
shift
+# We look here to see what names to use for the symlinks.
OLDDIR="$BINDIR/old_bins"
-# create symlinks
+# Create the symlinks.
for prog in $OLDDIR/*; do
ln -sf futility "${BINDIR}/${prog##*/}"
done